Subject: Re: What's cooking in git.git (Aug 2015, #03; Mon, 17)

From: Junio C Hamano <[email-masked]>
Date: Mon, 17 Aug 2015 16:38:32 -0700

Stefan Beller <[email-masked]> writes:

>> * sb/remove-get-pathspec (2015-08-03) 1 commit
>>  - builtin/mv: remove get_pathspec()
>>
>>  Expecting a reroll.
>>  ($gmane/275224)
>
> IIRC the discussion turned out to expect a
> full conversion of internal_copy_pathspec in builtin/mv
> and not just moving all the cruft there, such that we can
> make the deprecated function non public and update the
> documentation.
>
> So I am not going to spend more time on that series,

OK, then will discard.

>> * jk/git-path (2015-08-10) 16 commits
>>   (merged to 'next' on 2015-08-12 at 7ebe864)
>>  + memoize common git-path "constant" files
>>  + get_repo_path: refactor path-allocation
>>  + find_hook: keep our own static buffer
>>  + refs.c: remove_empty_directories can take a strbuf
>>  + refs.c: avoid git_path assignment in lock_ref_sha1_basic
>>  + refs.c: avoid repeated git_path calls in rename_tmp_log
>>  + refs.c: simplify strbufs in reflog setup and writing
>>  + path.c: drop git_path_submodule
>
> Oops, I just wanted to add a caller to git_path_submodule. I'll also look into
> this series to see the alternatives. :)

I know.  

As you may be already aware by observing the tip of 'pu', I have
been queuing evil-merge resolutions to prepare your series for the
world without git_path_submodule(), so "looking into to see
alternatives" shouldn't be too huge a task ;-).